#!/usr/bin/env bash

set -o nounset

ID=(curl ifconfig.me)

SCRIPT=(curl "https://git.sovransystems.com/Sovran_Systems/Software/raw/branch/main/Sovran_SystemsOS_Reseter/Reseter_Intro.md")
   
zenity --progress --no-cancel --pulsate --auto-close --title="Sovran_SystemsOS_Reseter" --text="Please Wait..." | ssh -i /home/free/.ssh/factory_login root@${ID} 'bash "${SCRIPT}"'

   if [[ $? != 0 ]]; then

      zenity --error \
         --ellipsize \
         --no-wrap \
         --title="Sovran_SystemsOS_Reseter" \
         --text="Could Not Start"

         exit 1
   fi

exit 0
